when selecting (e.g. 3rd suggestion) property value then click enter save, 1st suggestion is saved
Closed, ResolvedPublic

Description
  1. click add a statement
  2. choose a property (scroll down with arrow key)
  3. click tab
  4. start typing a value
  5. scrolldown to the third choice
  6. click enter to save
  7. it instead chooses the first value in the list instead of third

Version: master
Severity: major
Whiteboard: u=dev c=frontend p=3 s=2014-03-18

bzimport set Reference to bz62868.
aude created this task.Via LegacyMar 20 2014, 9:13 AM
aude added a comment.Via ConduitMar 20 2014, 9:17 AM

note, this is occurring in Chrome

Lydia_Pintscher added a comment.Via ConduitMar 20 2014, 9:18 AM

Raising importance since this leads to wrong data entry. Bad!

gerritbot added a comment.Via ConduitMar 21 2014, 1:34 PM

Change 119988 had a related patch set uploaded by Adrian Lang:
Make entityselector always trigger aftersetentity event

https://gerrit.wikimedia.org/r/119988

gerritbot added a comment.Via ConduitMar 21 2014, 1:35 PM

Change 119989 had a related patch set uploaded by Adrian Lang:
Add ugly test for bug 62868.

https://gerrit.wikimedia.org/r/119989

gerritbot added a comment.Via ConduitMar 24 2014, 8:57 AM

Change 119988 merged by jenkins-bot:
Make entityselector always trigger aftersetentity event

https://gerrit.wikimedia.org/r/119988

gerritbot added a comment.Via ConduitMar 24 2014, 1:30 PM

Change 120519 had a related patch set uploaded by Aude:
Make entityselector always trigger aftersetentity event

https://gerrit.wikimedia.org/r/120519

gerritbot added a comment.Via ConduitMar 24 2014, 2:16 PM

Change 120519 merged by jenkins-bot:
Make entityselector always trigger aftersetentity event

https://gerrit.wikimedia.org/r/120519

Tobi_WMDE_SW added a comment.Via ConduitMar 25 2014, 4:48 PM

Reopened due to bug 63057

Lydia_Pintscher added a comment.Via ConduitMar 25 2014, 5:25 PM
  • Bug 63077 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitMar 25 2014, 7:54 PM

Change 120862 had a related patch set uploaded by Hoo man:
Make entityselector always trigger the aftersetentity event

https://gerrit.wikimedia.org/r/120862

gerritbot added a comment.Via ConduitMar 26 2014, 10:53 AM

Change 120862 merged by jenkins-bot:
Make entityselector always trigger the aftersetentity event

https://gerrit.wikimedia.org/r/120862

gerritbot added a comment.Via ConduitJun 26 2014, 12:19 PM

Change 119989 abandoned by Adrian Lang:
Add ugly test for bug 62868.

Reason:
Would have to rebased against https://github.com/wmde/WikidataBrowserTests if anybody cares about it.

https://gerrit.wikimedia.org/r/119989

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.